/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __$(appName)_H__
#define __$(appName)_H__

#include <app.h>
#include <Elementary.h>
#include <system_settings.h>
#include <efl_extension.h>
#include <dlog.h>

#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "$(appName)"

#define TIMER_UPDATE_PERIOD 0.1
#define SONG_LENGTH 100.

#if !defined(PACKAGE)
#define PACKAGE "$(packageName)"
#endif

#define EDJ_FILE "edje/$(appName).edj"


#endif /* __$(appName)_H__ */

typedef struct appdata{
	Evas_Object* win;
	Evas_Object* layout;
	Evas_Object* conform;
	Evas_Object* left_panel;
	Evas_Object* bottom_panel;
	Evas_Object* naviframe;
	Evas_Object* list;
	Evas_Object *lib_btn;
	Evas_Object *play_btn;
	Evas_Object *label;
	Evas_Object *slider;
	Ecore_Timer *timer;
} appdata_s;

Evas_Object* create_player_view(appdata_s *ad);
Evas_Object* create_library_view(appdata_s *ad);

void app_get_resource(const char *res_file, char *res_path, int path_max);
void _play_btn_cb(void *data, Evas_Object *obj, void *event_info);
Eina_Bool _timer_update_cb(void *data);
